Subject: Re: bug#3717: M-x man completion

From: Eli Zaretskii <[email-masked]>
Date: Fri, 27 Nov 2009 10:47:08 +0200

> From: Kevin Ryde <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 27 Nov 2009 08:36:52 +1100
> 
> Eli Zaretskii <[email-masked]> writes:
> >
> > It could be, but it also isn't universally available, especially if
> > you are on a non-Posix platform.
> 
> I see V7 doesn't have either :-)
> 
>     http://plan9.bell-labs.com/7thEdMan/index.html
> 
> but that -k is in posix (and specified as an ERE regexp, answering a
> comment Stefan put),
> 
>     http://www.opengroup.org/onlinepubs/009695399/utilities/man.html

Emacs doesn't (and shouldn't, IMO) require Posix to work well.

> > Ideally, `man' should test what's available, like `grep' does, and if
> > nothing is, simply not provide this feature.
> 
> I'd be open to ideas for my code at least, as long as it's not merely
> defunct cp/m derivatives where there's a potential problem :).

I'm not sure I understand the remark, but how about searching MANPATH
directories ourselves?  That would be much more portable, I think.